About
Use this request to perform a partial update on an existing online login. Only the fields provided in the request body will be updated.
Resource URI
PATCH
/v2/OnlineLogins/[OnlineLoginSid]
Request
Headers
| Header | Value | Description |
|---|---|---|
| Content-Type | application/merge-patch+json | The required content type for JSON Merge Patch requests. |
URI Parameters
| Parameter | Type | Description |
|---|---|---|
| OnlineLoginSid | string (UUID) | The secure identifier of the online login to update. |
Resource Parameters
These parameters can be included in the request body to update the online login record.
| Parameter | Type | Description |
|---|---|---|
| Email (Optional) | string | Update the email address for the online login. |
| Password (Optional) | string | Update the password for the online login. |
| Enabled (Optional) | boolean | Enable or disable the online login. |
| FirstName (Optional) | string | Update the first name of the user. |
| LastName (Optional) | string | Update the last name of the user. |
| Permissions (Optional) | array |
A list of permission objects to assign to this login. Each object should contain: * AccountSid (string): The account identification associated with the permission. * PropertySid (string): The property identification associated with the permission. * Scopes (string): Comma-separated list of scopes (e.g., "Manage,Reporting"). Note: Each permission must have either an AccountSid or a PropertySid, but not both. When the request includes Permissions, they completely override the current permissions of this Online Login. |
Example: Updating the name and enabling a login.
{
"FirstName": "Jane",
"LastName": "Doe",
"Enabled": true
}
Example: Updating permissions.
{
"Permissions": [
{
"AccountSid": "AG5T3HFR5ASD54FS5GB3SDAFJAKSH6DS",
"Scopes": "Manage,Reporting"
},
{
"PropertySid": "S1234567890ABCDEF1234567890ABCDE",
"Scopes": "Reporting"
}
]
}
Response
204 – No Content
A successful update request will return a 204 No Content status code, indicating that the request has been successfully processed.
400 - Error
For error codes and messages, please refer to the REST API Error Codes page.